WebAssembly.instantiateStreaming(fetch("./Exercise.wasm"))
    .then(web_assembly => {
        window.console.assert("Get" in web_assembly.instance.exports);
        window.console.assert("Populate" in web_assembly.instance.exports);
        console.info("$Index: " + web_assembly.instance.exports.Get());  // '0'
        web_assembly.instance.exports.Populate(2025n); // '2025' as BigInt, i.e., using 'n'
        window.alert("$Index: " + web_assembly.instance.exports.Get());  // '8'
    });



