(; Multiple memories do not work! ;)
;; https://developer.mozilla.org/en-US/docs/WebAssembly/Understanding_the_text_format#multiple_memories
(module
    (import "env" "log" (func $display_character (param i32)))
    ;; Only one memory block is allowed:
    (memory $my_page 1) ;; [0-65535]
    ;; "RuntimeError: WebAssembly.instantiate(): data segment 0 is out of bounds" ->
    ;; (memory $my_page 0) ;; No space is allowed!
    (export "My_page" (memory $my_page))

    (data (i32.const 0) "'$my_page' is ") ;; Add "'$my_page' is " to default (0-index) memory...
    (data (memory 0) (i32.const 14) "writte")

    (func $main
        i32.const 20 ;; Position...
        i32.const 110 ;; 'n' character...
        i32.store8 ;; 'n' character is stored...
        ;; (i32.store8 (i32.const 20) (i32.const 110)) ;; 'n' character is stored at position '20'...
        (i32.load8_s (i32.const 19)) ;; Get character at 'position '19' for display...
        call $display_character ;; 101 => 'e'
    )
    (start $main)
)
