WebAssembly.instantiateStreaming(fetch("./Exported_memory.wasm"),
    {env: {log: console.log}}) // Bind actual host function to "virtual" imported function within module...
    .then(({instance}) => { // '{instance}' means "get 'instance' field"...
        const my_page = instance.exports.My_page; // Exported memory...
        const bytes = new Uint8Array(my_page.buffer, 0, 21); // < 65536
        console.info(new TextDecoder('UTF8').decode(bytes));  // '$my_page' is written
    });



